Bug 19291 - Make breadcrumbs for OPAC search history consistent with other patron account pages
Summary: Make breadcrumbs for OPAC search history consistent with other patron account...
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 21137
  Show dependency treegraph
 
Reported: 2017-09-11 16:03 UTC by Katrin Fischer
Modified: 2018-09-21 12:02 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19291: Make breadcrumbs for OPAC search history consistent with other patron account pages (1.49 KB, patch)
2018-07-27 17:27 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19291: Make breadcrumbs for OPAC search history consistent with other patron account pages (1.58 KB, patch)
2018-07-27 18:43 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 19291: Make breadcrumbs for OPAC search history consistent with other patron account pages (1.66 KB, patch)
2018-08-01 13:04 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 19291: Make breadcrumbs for OPAC search history consistent with other patron account pages (1.77 KB, patch)
2018-08-01 19:30 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2017-09-11 16:03:49 UTC
If the user is logged in the search history can be accessed from within the patron account. In this case the breadcrumbs are not consistent with the other patron account pages in that the name of the logged-in user is missing.

Patch might take into account that there is an anomymous search history too.
Comment 1 Owen Leonard 2018-07-27 17:27:58 UTC Comment hidden (obsolete)
Comment 2 Maryse Simard 2018-07-27 18:43:09 UTC
Created attachment 77312 [details] [review]
Bug 19291: Make breadcrumbs for OPAC search history consistent with other patron account pages

This patch adds the logged-in patron's name to the search history page's
breadcrumb navigation.

To test, apply the patch and view the OPAC search history page with no
user logged in. The breadcrumbs should read:

- Home ->  Search history

Log in and return to the search history page. The breadcrumbs should
read:

- Home -> Owen Leonard -> Your search history

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Followed the test plan and it works.
Comment 3 Jonathan Druart 2018-07-31 14:54:56 UTC
Other files have the patron.title displayed.
Comment 4 Jonathan Druart 2018-07-31 14:58:13 UTC
(In reply to Jonathan Druart from comment #3)
> Other files have the patron.title displayed.

Well, not all... Should not we fix everything at once on this bug report?
Comment 5 Katrin Fischer 2018-07-31 14:59:52 UTC
Do you mean all other pages or just this one? If the patron title is not on all pages, maybe this could be a separate bug?
Comment 6 Jonathan Druart 2018-07-31 15:20:27 UTC
With this patch we are fixing half of the inconsistency, so yes we could fix that on a separate bug report, if you prefer.
Comment 7 Jonathan Druart 2018-08-01 13:04:28 UTC
Created attachment 77363 [details] [review]
Bug 19291: Make breadcrumbs for OPAC search history consistent with other patron account pages

This patch adds the logged-in patron's name to the search history page's
breadcrumb navigation.

To test, apply the patch and view the OPAC search history page with no
user logged in. The breadcrumbs should read:

- Home ->  Search history

Log in and return to the search history page. The breadcrumbs should
read:

- Home -> Owen Leonard -> Your search history

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Followed the test plan and it works.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 8 Jonathan Druart 2018-08-01 13:07:29 UTC
(In reply to Jonathan Druart from comment #6)
> With this patch we are fixing half of the inconsistency, so yes we could fix
> that on a separate bug report, if you prefer.

See bug 21137
Comment 9 Katrin Fischer 2018-08-01 19:30:05 UTC
Created attachment 77405 [details] [review]
Bug 19291: Make breadcrumbs for OPAC search history consistent with other patron account pages

This patch adds the logged-in patron's name to the search history page's
breadcrumb navigation.

To test, apply the patch and view the OPAC search history page with no
user logged in. The breadcrumbs should read:

- Home ->  Search history

Log in and return to the search history page. The breadcrumbs should
read:

- Home -> Owen Leonard -> Your search history

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Followed the test plan and it works.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

https://bugs.koha-community.org/show_bug.cgi?id=21137
Comment 10 Nick Clemens 2018-08-09 12:23:04 UTC
Awesome work all!

Pushed to master for 18.11
Comment 11 Martin Renvoize 2018-08-10 07:45:47 UTC
Pushed to 18.05.x for 18.05.03
Comment 12 Fridolin SOMERS 2018-09-21 12:02:46 UTC
Pushed to 17.11.x for 17.11.10